Overview | Modules | Class Hierarchy | Classes | Members

# tlp::IntegerProperty Class Reference
[Properties]

`#include <IntegerProperty.h>`

Inherits tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >< IntegerType, IntegerType, IntegerAlgorithm >, and tlp::PropertyObserver.

Inheritance diagram for tlp::IntegerProperty:

[legend]
Collaboration diagram for tlp::IntegerProperty:

[legend]
List of all members.

## Public Member Functions

- IntegerProperty (Graph *, std::string n="")
- IntegerType::RealType getNodeMin (Graph *sg=0)
- IntegerType::RealType getNodeMax (Graph *sg=0)
- IntegerType::RealType getEdgeMin (Graph *sg=0)
- IntegerType::RealType getEdgeMax (Graph *sg=0)
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- virtual void beforeSetNodeValue (PropertyInterface *prop, const node n)
- virtual void beforeSetEdgeValue (PropertyInterface *prop, const edge e)
- virtual void beforeSetAllNodeValue (PropertyInterface *prop)
- virtual void beforeSetAllEdgeValue (PropertyInterface *prop)

## Protected Member Functions

- void clone_handler (AbstractProperty< IntegerType, IntegerType > &)

## Friends

- class IntegerAlgorithm

## Constructor & Destructor Documentation

tlp::IntegerProperty::IntegerProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |

## Member Function Documentation

virtual void tlp::IntegerProperty::beforeSetAllEdgeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::IntegerProperty::beforeSetAllNodeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::IntegerProperty::beforeSetEdgeValue | ( | PropertyInterface * | prop,
|  | const edge | e
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::IntegerProperty::beforeSetNodeValue | ( | PropertyInterface * | prop,
|  | const node | n
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

void tlp::IntegerProperty::clone_handler | ( | AbstractProperty< IntegerType, IntegerType > & |  | ) | `[protected]`

PropertyInterface* tlp::IntegerProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`

| Create an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied. Implements tlp::PropertyInterface.

IntegerType::RealType tlp::IntegerProperty::getEdgeMax | ( | Graph * | sg = `0` | ) |

IntegerType::RealType tlp::IntegerProperty::getEdgeMin | ( | Graph * | sg = `0` | ) |

IntegerType::RealType tlp::IntegerProperty::getNodeMax | ( | Graph * | sg = `0` | ) |

IntegerType::RealType tlp::IntegerProperty::getNodeMin | ( | Graph * | sg = `0` | ) |

## Friends And Related Function Documentation

friend class IntegerAlgorithm `[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010